Description

In order for DAQInterface to successfully capture signals (see Issue #22146), | discovered | had to get rid of the tee-ing of the output
into the DAQInterface logfile. Instead, | switched to using tail -f on the logfile to get DAQInterfae to print its output to screen, cutting
off the first 10 lines of output so that we don't recover the last 10 lines of a prior session. However, if the logfile doesn't exist (e.g., the
partition's never been run on), there's unexpected behavior - output doesn't appear. Since this is a situation that will come up in the
future, this should be fixed.

Associated revisions

Revision 02420de8 - 04/30/2019 02:44 PM - John Freeman

JCF: satisfy Issue #22278 by switching DAQInterface from an alias to a sourced script

Basically, since | use tail -f on the DAQInterface logfile to send
DAQInterface output to the screen, | need to both make sure that (A)
tail -f doesn't spit out the 10 lines of the previous DAQInterface
session, and (B) that in so doing, | don't suppress the first 10 lines
of DAQInterface output if I'm using a partition for the first time.

History

#1 - 04/30/2019 02:56 PM - John Freeman

- Status changed from New to Resolved

This issue's resolved with commit 02420de84301f57fd48c07c16f123e1480afc6a9 on the branch
feature/issue22278_dont_skip_first_ten_output_lines. To review it, confirm that at the head of develop, if you try running DAQInterface on a partition
that you've never run it on before, that you don't see a message like the following:

DAQInterface in partition <N> launched and now in "stopped" state, listening on port <M>

where <N> is the new partition number, and <M> == 10000 + 1000*<N>. Instead, you'll have to look in the DAQInterface logfile,
/tmp/daginterface_ $USER/DAQInterface_partition<N>log, to see this output.

Then delete this new logfile, /tmp/daginterface_ $USER/DAQInterface_partition<N>log, and confirm that at the head of the issue branch you see this
output both in the logfile AND on screen.

#2 - 06/27/2019 01:25 PM - John Freeman
- % Done changed from 0 to 100

- Status changed from Resolved to Reviewed

Reviewed by Ron on Tuesday.
